Open CASCADE Technology: StepBasic_VersionedActionRequest Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepBasic_VersionedActionRequest Class Reference

Representation of STEP entity VersionedActionRequest. More...

`#include <StepBasic_VersionedActionRequest.hxx>`

Inheritance diagram for StepBasic_VersionedActionRequest:
[legend]

## Public Member Functions
| StepBasic_VersionedActionRequest ()
| Empty constructor. More...
void | Init (const Handle< TCollection_HAsciiString > &aId, const Handle< TCollection_HAsciiString > &aVersion, const Handle< TCollection_HAsciiString > &aPurpose, const Standard_Boolean hasDescription, const Handle< TCollection_HAsciiString > &aDescription)
| Initialize all fields (own and inherited) More...
Handle< TCollection_HAsciiString > | Id () const
| Returns field Id. More...
void | SetId (const Handle< TCollection_HAsciiString > &Id)
| Set field Id. More...
Handle< TCollection_HAsciiString > | Version () const
| Returns field Version. More...
void | SetVersion (const Handle< TCollection_HAsciiString > &Version)
| Set field Version. More...
Handle< TCollection_HAsciiString > | Purpose () const
| Returns field Purpose. More...
void | SetPurpose (const Handle< TCollection_HAsciiString > &Purpose)
| Set field Purpose. More...
Handle< TCollection_HAsciiString > | Description () const
| Returns field Description. More...
void | SetDescription (const Handle< TCollection_HAsciiString > &Description)
| Set field Description. More...
Standard_Boolean | HasDescription () const
| Returns True if optional field Description is defined. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Representation of STEP entity VersionedActionRequest.

## Constructor & Destructor Documentation

StepBasic_VersionedActionRequest::StepBasic_VersionedActionRequest | ( |  | ) |

Empty constructor.

## Member Function Documentation

Handle< TCollection_HAsciiString > StepBasic_VersionedActionRequest::Description | ( |  | ) | const

Returns field Description.

Standard_Boolean StepBasic_VersionedActionRequest::HasDescription | ( |  | ) | const

Returns True if optional field Description is defined.

Handle< TCollection_HAsciiString > StepBasic_VersionedActionRequest::Id | ( |  | ) | const

Returns field Id.

void StepBasic_VersionedActionRequest::Init | ( | const Handle< TCollection_HAsciiString > & | aId,
|  | const Handle< TCollection_HAsciiString > & | aVersion,
|  | const Handle< TCollection_HAsciiString > & | aPurpose,
|  | const Standard_Boolean | hasDescription,
|  | const Handle< TCollection_HAsciiString > & | aDescription
| ) |  |

Initialize all fields (own and inherited)

Handle< TCollection_HAsciiString > StepBasic_VersionedActionRequest::Purpose | ( |  | ) | const

Returns field Purpose.

void StepBasic_VersionedActionRequest::SetDescription | ( | const Handle< TCollection_HAsciiString > & | Description | ) |

Set field Description.

void StepBasic_VersionedActionRequest::SetId | ( | const Handle< TCollection_HAsciiString > & | Id | ) |

Set field Id.

void StepBasic_VersionedActionRequest::SetPurpose | ( | const Handle< TCollection_HAsciiString > & | Purpose | ) |

Set field Purpose.

void StepBasic_VersionedActionRequest::SetVersion | ( | const Handle< TCollection_HAsciiString > & | Version | ) |

Set field Version.

Handle< TCollection_HAsciiString > StepBasic_VersionedActionRequest::Version | ( |  | ) | const

Returns field Version.

The documentation for this class was generated from the following file:

- StepBasic_VersionedActionRequest.hxx